> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/export-policy-report.md).

# ポリシー レポートのエクスポート

### 説明

この runbook は、Intune と Entra ID から構成ポリシーをエクスポートし、結果を Markdown レポートに書き込みます。必要に応じて、未加工の JSON をエクスポートし、エクスポートされた成果物のダウンロード可能なリンクを作成できます。

### 場所

Organization → General → Export Policy Report

**Runbook の完全名**

rjgit-org\_general\_export-policy-report

### 詳細

| プロパティ    | 値                                                                                       |
| -------- | --------------------------------------------------------------------------------------- |
| バージョン    | 1.0.3                                                                                   |
| 必要なモジュール | <p>Microsoft.Graph.Authentication (>= 2.39.0)<br>RealmJoin.RunbookHelper (>= 0.8.9)</p> |
| スケジュール可能 | いいえ                                                                                     |

### アクセス許可

#### アプリケーションのアクセス許可

* **種類**：Microsoft Graph
  * DeviceManagementConfiguration.Read.All
    * *割り当てとフィルターを含む Intune の構成、コンプライアンス、およびグループ ポリシー オブジェクトを読み取ります*
  * Policy.Read.All
    * *レポートに表示される Conditional Access ポリシーを読み取ります*
  * Directory.Read.All *（省略可能 — 機能: 名前解決）*
    * *ポリシーで参照されるグループ、ユーザー、ロール、およびアプリケーション名を解決します*

#### 権限に関する注意

Azure Storage Account: レポートのエクスポートに使用される Storage Account 上の Contributor ロール

### パラメーター

#### produceLinks

true に設定すると、設定に基づいてエクスポートされた成果物へのリンクを作成します。

| プロパティ | 値    |
| ----- | ---- |
| 必須    | いいえ  |
| 既定値   | はい   |
| 種類    | ブール値 |

#### exportJson

true に設定すると、未加工の JSON ポリシーペイロードもエクスポートします。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | いいえ   |
| 既定値   | False |
| 種類    | ブール値  |

#### renderLatexPagebreaks

true に設定すると、生成された Markdown に LaTeX の改ページを追加します。

| プロパティ | 値    |
| ----- | ---- |
| 必須    | いいえ  |
| 既定値   | はい   |
| 種類    | ブール値 |

#### ContainerName

アップロードに使用するストレージ コンテナー名。

| プロパティ | 値                        |
| ----- | ------------------------ |
| 必須    | いいえ                      |
| 既定値   | rjrb-licensing-report-v2 |
| 種類    | 文字列                      |

#### ResourceGroupName

ストレージ アカウントを含むリソース グループ。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### StorageAccountName

アップロードに使用するストレージ アカウント名。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### Storage Account の場所

そのストレージ アカウントの Azure リージョン。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### Storage Account SKU

ストレージ アカウントの SKU。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

[Runbook Reference の概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/export-policy-report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
